Patchwork [v2,1/1] send-pull-request: Fetch TO email address from git config if specified

login
register
mail settings
Submitter Khem Raj
Date March 16, 2011, 3:53 a.m.
Message ID <25530fcd5ccb232f0236a03d8fcd45167fa8488e.1300247367.git.raj.khem@gmail.com>
Download mbox | patch
Permalink /patch/1423/
State New, archived
Headers show

Comments

Khem Raj - March 16, 2011, 3:53 a.m.
Usually people using git send-email has git config sendmail.to
configured to the usual mailing list or person so we harness that
here.

Signed-off-by: Khem Raj <raj.khem@gmail.com>
---
 scripts/send-pull-request |   21 +++++++++++++++------
 1 files changed, 15 insertions(+), 6 deletions(-)
Darren Hart - March 16, 2011, 6:54 a.m.
On 03/15/2011 08:53 PM, Khem Raj wrote:
> Usually people using git send-email has git config sendmail.to
> configured to the usual mailing list or person so we harness that
> here.

Right, looks sane to me.

>
> Signed-off-by: Khem Raj<raj.khem@gmail.com>

Acked-by: Darren Hart <dvhart@linux.intel.com>

Please see below all the same:

> ---
>   scripts/send-pull-request |   21 +++++++++++++++------
>   1 files changed, 15 insertions(+), 6 deletions(-)
>
> diff --git a/scripts/send-pull-request b/scripts/send-pull-request
> index 7f51a1b..3af2a9f 100755
> --- a/scripts/send-pull-request
> +++ b/scripts/send-pull-request
> @@ -109,15 +109,17 @@ if [ $AUTO -eq 1 ]; then
>       harvest_recipients CC "^.*-[Bb][Yy]: *"
>   fi
>
> -if [ -z "$TO" ]&&  [ -z "$CC" ]; then
> -    echo "ERROR: you have not specified any recipients."
> -    usage
> -    exit 1
> -fi
> -
>   case "$PULL_MTA" in
>       git)
>           FROM="$(git config sendemail.from)"
> +	AUTO_TO="$(git config sendemail.to)"
> +	if [ -n "$AUTO_TO" ]; then
> +	    if [ -n "$TO" ]; then
> +		TO="$TO,$AUTO_TO"
> +	    else
> +		TO="$AUTO_TO"
> +	    fi
> +	fi

Quite the abuse of tabs and spaces for indentation here, but judging 
from the contextual lines, I don't have any right to point the finger 
here :-) I'll clean up the whitespace after this hits master.

What's the rule in poky, tabs for bash, spaces for python?

--
Darren

>           ;;
>       sendmail)
>           if [ -z "$FROM" ]; then
> @@ -131,6 +133,13 @@ case "$PULL_MTA" in
>           ;;
>   esac
>
> +if [ -z "$TO" ]&&  [ -z "$CC" ]; then
> +    echo "ERROR: you have not specified any recipients."
> +    usage
> +    exit 1
> +fi
> +
> +
>   # Generate report for the user and require confirmation before sending
>   cat<<EOM
>   The following patches:

Patch

diff --git a/scripts/send-pull-request b/scripts/send-pull-request
index 7f51a1b..3af2a9f 100755
--- a/scripts/send-pull-request
+++ b/scripts/send-pull-request
@@ -109,15 +109,17 @@  if [ $AUTO -eq 1 ]; then
     harvest_recipients CC "^.*-[Bb][Yy]: *"
 fi
 
-if [ -z "$TO" ] && [ -z "$CC" ]; then
-    echo "ERROR: you have not specified any recipients."
-    usage
-    exit 1
-fi
-
 case "$PULL_MTA" in
     git)
         FROM="$(git config sendemail.from)"
+	AUTO_TO="$(git config sendemail.to)"
+	if [ -n "$AUTO_TO" ]; then
+	    if [ -n "$TO" ]; then
+		TO="$TO,$AUTO_TO"
+	    else
+		TO="$AUTO_TO"
+	    fi
+	fi
         ;;
     sendmail)
         if [ -z "$FROM" ]; then
@@ -131,6 +133,13 @@  case "$PULL_MTA" in
         ;;
 esac
 
+if [ -z "$TO" ] && [ -z "$CC" ]; then
+    echo "ERROR: you have not specified any recipients."
+    usage
+    exit 1
+fi
+
+
 # Generate report for the user and require confirmation before sending
 cat <<EOM
 The following patches: